Subject: Re: bug#30128: Re[2]: bug#30128: MSVC: 'invalid numeric argument '/Wl, -DLL, -IMPLIB:.libs...' error for shared GMP builds on Windows

From: Mathieu Lirzin <[email-masked]>
Date: Tue, 23 Jan 2018 15:31:01 +0100

[email-masked] writes:

> --- Оригінальне повідомлення ---
> Від кого: "Mathieu Lirzin" <[email-masked]>
> Дата: 18 січня 2018, 00:45:20
>
>  > I have took a quick look a GMP “configure.ac” and it seems that they
>> have an option ’--enable-cxx’ which triggers the use of the AC_PROG_CXX
>> macro which I guess should set things properly (I am not an Autoconf
>> expert), If not this is either an issue with GMP configuration or with
>> With AC_PROG_CXX implementation.
>> 
>> Could you investigate with the ’--enable-cxx’ option?
>
> Me run GMP builds with '--enable-cxx' flag. But it has no effect on
> this issue, presumably since it doesn't call any subroutine, which
> enable 'compile' use for MSVC explicitly or as a side effect.
>
> Taking into account your tips, considered to replace 'CC="cl"
> CXX="cl"' with 'CC="$PWD/compile cl" CXX="$PWD/compile cl"' options in
> GMP build commands. This fixed this issue and ensures no problems,
> when '_AM_PROG_CC_C_O' would be removed from Automake.
>
> Thus I assume this issue could be closed. Thank you for help.

No, it should not be closed.  When speaking of obsolescence I was
confusing _AM_PROG_CC_C_O and AM_PROG_CC_C_O macros.

_AM_PROG_CC_C_O is used to rewrite AC_PROG_CC:

--8<---------------cut here---------------start------------->8---
dnl Redefine AC_PROG_CC to automatically invoke _AM_PROG_CC_C_O.
m4_define([AC_PROG_CC],
m4_defn([AC_PROG_CC])
[_AM_PROG_CC_C_O
])
--8<---------------cut here---------------end--------------->8---

What needs to be done is to similarly redefine AC_PROG_CXX to use the
‘compile’ wrapper script for icl and others C++ compiler which do not
understand ‘-c -o’.

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37